Summary: Easy to use CD burning for Gnome
Name: nautilus-cd-burner
Version: 2.6.0
Release: 2
Source0: %{name}-%{version}.tar.bz2
License: LGPL/GPL
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-root
Requires: gnome-vfs2 >= 2.1.3.1
Requires: mkisofs
Requires: cdrecord
BuildRequires: gnome-vfs2-devel >= 2.1.3.1
BuildRequires: libgnome-devel
BuildRequires: glib2-devel >= 2.1.0
BuildRequires: gtk2-devel
BuildRequires: libglade2-devel
BuildRequires: eel2-devel
BuildRequires: gettext
# need nautilus-extensions
BuildRequires: nautilus >= 2.5.4
ExcludeArch: s390

Patch1:         nautilus-cd-burner-2.6.0-help.patch

%description
An easy to use CD burning package, well integrated with
Nautilus and the Gnome desktop.

%prep
%setup -q

%patch1 -p0 -b .help

%build

libtoolize --force
aclocal-1.4
automake-1.4
autoconf
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %name

rm $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/libmapping.la
rm $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-1.0/*.la

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="ncb.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/gconf/schemas/*
%{_sysconfdir}/gnome-vfs-2.0/modules/mapping-modules.conf
%{_libdir}/gnome-vfs-2.0/modules/*.so
%{_libdir}/nautilus/extensions-1.0/*.so*
%{_bindir}/nautilus-cd-burner
%{_libexecdir}/mapping-daemon
%{_datadir}/nautilus-cd-burner

%changelog
* Tue May  4 2004 Alex Larsson <alexl@redhat.com> 2.6.0-2
- Open the right help file (#121476)

* Thu Apr  1 2004 Alex Larsson <alexl@redhat.com> 2.6.0-1
- update to 2.6.0

* Wed Mar 10 2004 Alexander Larsson <alexl@redhat.com> 0.6.6-1
- update to 0.6.6

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Alexander Larsson <alexl@redhat.com> 0.6.5-1
- update to 0.6.5

* Fri Jan 30 2004 Alexander Larsson <alexl@redhat.com> 0.6.4-1
- update to 0.6.4

* Tue Jan 27 2004 Jonathan Blandford <jrb@redhat.com> 0.6.3-2
- update file list

* Tue Jan 27 2004 Jonathan Blandford <jrb@redhat.com> 0.6.3-1
- new version

* Mon Oct 13 2003 Alexander Larsson <alexl@redhat.com> 0.5.3-1
- Update to final gnome 2.4 release
- Has one crash fix and new translations

* Wed Aug 20 2003 Alexander Larsson <alexl@redhat.com> 0.5.0-1
- update for gnome 2.3

* Thu Jul 10 2003 Alexander Larsson <alexl@redhat.com> 0.4.3-3
- Add eel2-devel and gettext buildrequires

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 27 2003 Alexander Larsson <alexl@redhat.com> 0.4.3-1
- Update to 0.4.3

* Mon May 19 2003 Alexander Larsson <alexl@redhat.com> 0.4.2-1
- Update to 0.4.2

* Mon Jan 27 2003 Alexander Larsson <alexl@redhat.com> 0.3.2-1
- Update to 0.3.2

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 14 2003 Alexander Larsson <alexl@redhat.com> 0.3.1-1
- Update to 0.3.1

* Fri Jan 10 2003 Alexander Larsson <alexl@redhat.com> 0.3-2
- Langify

* Fri Jan 10 2003 Alexander Larsson <alexl@redhat.com> 0.3-1
- Update to 0.3

* Mon Dec 16 2002 Tim Powers <timp@redhat.com> 0.2-2
- rebuild

* Fri Dec 13 2002 Alexander Larsson <alexl@redhat.com> 0.2-1
- Update to 0.2

* Mon Dec  9 2002 Alexander Larsson <alexl@redhat.com> 0.1-3
- Added mkisofs and cdrecord dependencies

* Thu Dec  5 2002 Alexander Larsson <alexl@redhat.com> 0.1-2
- run make in build

* Wed Dec  5 2002 Alexander Larsson <alexl@redhat.com> 0.1-1
- Initial build.


